Index: code/branches/pickup2/src/modules/questsystem/AddQuestHint.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/AddQuestHint.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/AddQuestHint.cc	(revision 6412)
@@ -71,5 +71,5 @@
 
         XMLPortParam(AddQuestHint, "hintId", setHintId, getHintId, xmlelement, mode);
-        
+
         COUT(3) << "New AddQuestHint, with target QuestHint {" << this->getHintId() << "}, created." << std::endl;
     }
@@ -90,5 +90,5 @@
             return false;
         }
-        
+
         this->hintId_ = id;
         return true;
Index: code/branches/pickup2/src/modules/questsystem/AddReward.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/AddReward.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/AddReward.cc	(revision 6412)
@@ -67,5 +67,5 @@
 
         XMLPortObject(AddReward, Rewardable, "", addRewardable, getRewardables, xmlelement, mode);
-        
+
         COUT(3) << "New AddReward, with " << this->rewards_.size() << " Rewardables created." << std::endl;
     }
@@ -104,5 +104,5 @@
     {
         COUT(3) << "AddReward on player: " << player << " ." << std::endl;
-        
+
         bool check = true;
         for ( std::list<Rewardable*>::iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward )
@@ -110,5 +110,5 @@
             check = check && (*reward)->reward(player);
         }
-        
+
         COUT(3) << "Rewardable successfully added to player." << player << " ." << std::endl;
 
Index: code/branches/pickup2/src/modules/questsystem/ChangeQuestStatus.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/ChangeQuestStatus.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/ChangeQuestStatus.cc	(revision 6412)
@@ -83,5 +83,5 @@
             return false;
         }
-        
+
         this->questId_ = id;
         return true;
Index: code/branches/pickup2/src/modules/questsystem/CompleteQuest.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/CompleteQuest.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/CompleteQuest.cc	(revision 6412)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -67,5 +67,5 @@
     {
         SUPER(CompleteQuest, XMLPort, xmlelement, mode);
-        
+
         COUT(3) << "New CompleteQuest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
     }
Index: code/branches/pickup2/src/modules/questsystem/FailQuest.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/FailQuest.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/FailQuest.cc	(revision 6412)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -67,5 +67,5 @@
     {
         SUPER(FailQuest, XMLPort, xmlelement, mode);
-        
+
         COUT(3) << "New FailQUest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
     }
@@ -103,5 +103,5 @@
             return false;
         }
-        
+
         COUT(3) << "Quest {" << quest->getId() << "} failed by player: " << player << " ." << std::endl;
         return true;
Index: code/branches/pickup2/src/modules/questsystem/GlobalQuest.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/GlobalQuest.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/GlobalQuest.cc	(revision 6412)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -59,5 +59,5 @@
 
     }
-    
+
     /**
     @brief
@@ -67,10 +67,10 @@
     {
         SUPER(GlobalQuest, XMLPort, xmlelement, mode);
-        
+
         XMLPortObject(GlobalQuest, QuestEffect, "reward-effects", addRewardEffect, getRewardEffects, xmlelement, mode);
 
         COUT(3) << "New GlobalQuest {" << this->getId() << "} created." << std::endl;
     }
-    
+
     /**
     @brief
@@ -89,7 +89,7 @@
             return false;
         }
-        
+
         Quest::fail(player);
-    
+
     //! Iterate through all players possessing this Quest.
     for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
@@ -118,5 +118,5 @@
             return false;
         }
-        
+
         //! Iterate through all players possessing the Quest.
         for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
@@ -124,7 +124,7 @@
             QuestEffect::invokeEffects(*it, this->getCompleteEffectList());
         }
-    
+
         Quest::complete(player);
-    
+
         QuestEffect::invokeEffects(player, this->rewards_); //!< Invoke reward QuestEffects on the player completing the Quest.
         return true;
@@ -230,9 +230,9 @@
             this->players_.insert(player); //!< Add the player to the set.
         }
-        
+
         this->status_ = status; //!< Set the status, which is global, remember...?
         return true;
     }
-    
+
     /**
     @brief
@@ -256,5 +256,5 @@
         return true;
     }
-    
+
     /**
     @brief
Index: code/branches/pickup2/src/modules/questsystem/LocalQuest.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/LocalQuest.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/LocalQuest.cc	(revision 6412)
@@ -87,7 +87,7 @@
             return false;
         }
-        
+
         Quest::fail(player);
-        
+
         QuestEffect::invokeEffects(player, this->getFailEffectList()); //!< Invoke the failEffects.
         return true;
@@ -110,7 +110,7 @@
             return false;
         }
-        
+
         Quest::complete(player);
-        
+
         QuestEffect::invokeEffects(player, this->getCompleteEffectList()); //!< Invoke the complete QuestEffects.
         return true;
@@ -188,5 +188,5 @@
             return it->second;
         }
-        
+
         return QuestStatus::Inactive; //!< If the player is not yet in the map, that means the status of the quest form him is 'inactive'.
     }
@@ -209,5 +209,5 @@
             return false;
         }
-        
+
         this->playerStatus_[player] = status;
         return true;
Index: code/branches/pickup2/src/modules/questsystem/Quest.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/Quest.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/Quest.cc	(revision 6412)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -204,5 +204,5 @@
     {
         int i = index;
-        
+
         //! Iterate through all subquests.
         for (std::list<Quest*>::const_iterator subQuest = this->subQuests_.begin(); subQuest != this->subQuests_.end(); ++subQuest)
@@ -214,5 +214,5 @@
             i--;
         }
-        
+
         return NULL; //!< If the index is greater than the number of elements in the list.
     }
@@ -229,5 +229,5 @@
     {
         int i = index;
-        
+
         //! Iterate through all QuestHints.
         for (std::list<QuestHint*>::const_iterator hint = this->hints_.begin(); hint != this->hints_.end(); ++hint)
@@ -253,5 +253,5 @@
     {
         int i = index;
-        
+
         //! Iterate through all fail QuestEffects.
         for (std::list<QuestEffect*>::const_iterator effect = this->failEffects_.begin(); effect != this->failEffects_.end(); ++effect)
@@ -277,5 +277,5 @@
     {
         int i = index;
-        
+
         //! Iterate through all complete QuestEffects.
         for (std::list<QuestEffect*>::const_iterator effect = this->completeEffects_.begin(); effect != this->completeEffects_.end(); ++effect)
@@ -350,5 +350,5 @@
         return this->getStatus(player) == QuestStatus::Completed;
     }
-    
+
     /**
     @brief
@@ -363,11 +363,11 @@
         QuestListener::advertiseStatusChange(this->listeners_, "fail"); //!< Tells the QuestListeners, that the status has changed to failed.
         this->setStatus(player, QuestStatus::Failed);
-        
+
         COUT(4) << "Quest {" << this->getId() << "} is failed for player: " << player << " ." <<std::endl;
-        
+
         this->getDescription()->sendFailQuestNotification();
         return true;
     }
-    
+
     /**
     @brief
@@ -382,7 +382,7 @@
         QuestListener::advertiseStatusChange(this->listeners_, "complete"); //!< Tells the QuestListeners, that the status has changed to completed.
         this->setStatus(player, QuestStatus::Completed);
-        
+
         COUT(4) << "Quest {" << this->getId() << "} is completed for player: " << player << " ." <<std::endl;
-        
+
         this->getDescription()->sendCompleteQuestNotification();
         return true;
@@ -404,15 +404,15 @@
             return false;
         }
-        
+
         COUT(4) << "Quest {" << this->getId() << "} is started for player: " << player << " ." <<std::endl;
-        
+
         QuestListener::advertiseStatusChange(this->listeners_, "start"); //!< Tells the QuestListeners, that the status has changed to active.
-        
+
         this->setStatus(player, QuestStatus::Active);
-        
+
         this->getDescription()->sendAddQuestNotification();
         return true;
     }
-    
+
     /**
     @brief
@@ -430,5 +430,5 @@
             return false;
         }
-        
+
         this->listeners_.push_back(listener);
         return true;
Index: code/branches/pickup2/src/modules/questsystem/QuestDescription.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestDescription.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestDescription.cc	(revision 6412)
@@ -50,7 +50,4 @@
     {
         RegisterObject(QuestDescription);
-        
-        this->title_ = "";
-        this->description_ = "";
     }
 
@@ -79,5 +76,5 @@
         COUT(3) << "New QuestDescription with title '" << this->getTitle() << "' created." << std::endl;
     }
-    
+
     /**
     @brief
@@ -94,8 +91,8 @@
     bool QuestDescription::notificationHelper(const std::string & item, const std::string & status) const
     {
-        std::string message = "";
+        std::string message;
         if(item == "hint")
         {
-            message = "You received a hint: '" + this->title_ + "'";
+            message = "You received a hint: '" + this->title_ + '\'';
         }
         else if(item == "quest")
@@ -103,13 +100,13 @@
             if(status == "start")
             {
-                message = "You received a new quest: '" + this->title_ + "'";
+                message = "You received a new quest: '" + this->title_ + '\'';
             }
             else if(status == "fail")
             {
-                message = "You failed the quest: '" + this->title_ + "'";
+                message = "You failed the quest: '" + this->title_ + '\'';
             }
             else if(status == "complete")
             {
-                message = "You successfully completed the quest: '" + this->title_ + "'";
+                message = "You successfully completed the quest: '" + this->title_ + '\'';
             }
             else
@@ -124,5 +121,5 @@
             return false;
         }
-        
+
         QuestNotification* notification = new QuestNotification(message);
         notification->send();
Index: code/branches/pickup2/src/modules/questsystem/QuestEffect.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestEffect.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestEffect.cc	(revision 6412)
@@ -69,5 +69,5 @@
     {
         bool check = true;
-        
+
         COUT(4) << "Invoking QuestEffects on player: " << player << " ."  << std::endl;
 
Index: code/branches/pickup2/src/modules/questsystem/QuestGUI.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestGUI.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestGUI.cc	(revision 6412)
@@ -77,5 +77,5 @@
         }
         this->windows_.clear();
-        
+
         if(this->root_ != NULL)
             this->root_->destroy();
@@ -104,5 +104,5 @@
 
         this->clear(); //!< Clear the GUI.
-        
+
         int depth = 0;
         int index = 0;
@@ -116,5 +116,5 @@
         for(std::map<std::string, Quest*>::iterator it = quests.begin(); it != quests.end(); it++)
         {
-            Quest* quest = (*it).second;
+            Quest* quest = it->second;
             if(quest->getParentQuest() == NULL && !quest->isInactive(this->player_)) //!< If the Quest isn't inactive and a root Quest (meaning it has no parent.), create a Node.
             {
@@ -136,5 +136,5 @@
         for(std::map<CEGUI::Window*, QuestGUINode*>::iterator it = this->nodes_.begin(); it != this->nodes_.end(); it++)
         {
-            QuestGUINode* node = (*it).second;
+            QuestGUINode* node = it->second;
             if(node == NULL)
             {
@@ -209,5 +209,5 @@
         for(std::map<PlayerInfo*, QuestGUI*>::iterator it = QuestManager::getInstance().questGUIs_.begin(); it != QuestManager::getInstance().questGUIs_.end(); it++)
         {
-            QuestGUI* gui = (*it).second;
+            QuestGUI* gui = it->second;
             std::map<CEGUI::Window*, QuestGUINode*>::iterator node = gui->nodes_.find(window);
             if(node != gui->nodes_.end()) return node->second;
@@ -235,5 +235,5 @@
 
         this->nodes_.insert(std::pair<CEGUI::Window*, QuestGUINode*>(node->getWindow(),node)); //!< Insert the node and its window in the nodes_ map.
-        
+
         index++;
 
@@ -268,5 +268,5 @@
         index = tempIndex; //!< Reset the index to the original level.
 
-        return index;        
+        return index;
     }
 
Index: code/branches/pickup2/src/modules/questsystem/QuestGUI.h
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestGUI.h	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestGUI.h	(revision 6412)
@@ -56,5 +56,5 @@
 
         public:
-        
+
             QuestGUI(PlayerInfo* player);
             virtual ~QuestGUI();
@@ -86,7 +86,7 @@
             inline PlayerInfo* getPlayer(void)
                 { return this->player_; }
-    
+
         private:
-            
+
             int createNode(QuestGUINode* parent, QuestItem* item, int depth, int index); //!< Recursive method to create Nodes for all Quests an Hints the given Quest is a parent to.
 
Index: code/branches/pickup2/src/modules/questsystem/QuestGUINode.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestGUINode.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestGUINode.cc	(revision 6412)
@@ -71,5 +71,5 @@
     QuestGUINode::QuestGUINode(QuestGUI* gui, QuestGUINode* parent, QuestItem* item, int depth, int index)
     {
-        this->initialize();    
+        this->initialize();
 
         this->gui_ = gui;
@@ -119,5 +119,5 @@
     void QuestGUINode::toggleVisibility(void)
     {
-        
+
     }
 
@@ -134,9 +134,9 @@
         if(this->window_ != NULL)
         {
-            buffer = (std::string)(this->window_->getName().c_str());
+            buffer = this->window_->getName().c_str();
         }
         else
         {
-            buffer = "";
+            buffer.erase();
         }
     }
@@ -154,5 +154,5 @@
 
         if(this->details_ == NULL) //!< If the details window was not already created.
-        {  
+        {
             std::ostringstream stream;
 
@@ -187,5 +187,5 @@
                 CEGUI::Window* statusWindow = this->gui_->getWindowManager()->createWindow("TaharezLook/StaticText", stream.str());
                 window->addChildWindow(statusWindow);
-                std::string status = "";
+                std::string status;
                 if(quest->isActive(this->gui_->getPlayer()))
                 {
@@ -209,5 +209,5 @@
                 offset += height;
             }
-            
+
             //! Create title pane for the description.
             stream.str("");
@@ -282,5 +282,5 @@
     {
         COUT(3) << "Open QuestItem..." << std::endl;
-        
+
         //CEGUI::Window* window = this->gui_->getRootWindow();
         CEGUI::Window* window = this->gui_->getWindowManager()->getWindow("orxonox/QuestGUI/Background");
@@ -297,5 +297,5 @@
     */
     bool QuestGUINode::closeDetails(const CEGUI::EventArgs& e)
-    {        
+    {
         //CEGUI::Window* window = this->gui_->getRootWindow();
         CEGUI::Window* window = this->gui_->getWindowManager()->getWindow("orxonox/QuestGUI/Background");
@@ -344,5 +344,5 @@
         //! Set the height to the window.
         window->setHeight(CEGUI::UDim(0, height));
-        
+
         //Debug
         const CEGUI::Rect newArea = getStaticTextArea(window);
@@ -368,5 +368,5 @@
     {
         Quest* quest = dynamic_cast<Quest*>(this->item_);
-        
+
         this->window_ = this->gui_->getWindow();
         std::ostringstream stream;
@@ -377,5 +377,5 @@
         }
         stream << this->index_;
-        
+
         this->window_->rename(stream.str());
         this->window_->setText(this->item_->getDescription()->getTitle());
Index: code/branches/pickup2/src/modules/questsystem/QuestGUINode.h
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestGUINode.h	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestGUINode.h	(revision 6412)
@@ -44,9 +44,9 @@
 
         public:
-    
+
             QuestGUINode(void);
             QuestGUINode(QuestGUI* gui, QuestGUINode* parent, QuestItem* item, int depth, int index);
             virtual ~QuestGUINode(void);
-    
+
             void toggleVisibility(void);
 
@@ -54,5 +54,5 @@
             /**
             @brief Retreive the window of this node.
-            @return The CEGUI Window of this node. 
+            @return The CEGUI Window of this node.
             */
             inline CEGUI::Window* getWindow(void)
Index: code/branches/pickup2/src/modules/questsystem/QuestHint.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestHint.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestHint.cc	(revision 6412)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -71,5 +71,5 @@
 
         QuestManager::getInstance().registerHint(this); //!< Registers the QuestHint with the QuestManager.
-        
+
         COUT(3) << "New QuestHint {" << this->getId() << "} created." << std::endl;
     }
@@ -100,5 +100,5 @@
             return it->second;
         }
-        
+
         return QuestStatus::Inactive;
     }
@@ -119,5 +119,5 @@
             {
                 this->playerStatus_[player] = QuestHintStatus::Active;
-                
+
                 this->getDescription()->sendAddHintNotification();
                 return true;
@@ -129,5 +129,5 @@
             }
         }
-        
+
         COUT(2) << "A hint of a non-active quest was trying to get activated." << std::endl;
         return false;
Index: code/branches/pickup2/src/modules/questsystem/QuestItem.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestItem.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestItem.cc	(revision 6412)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -47,6 +47,4 @@
     {
         RegisterObject(QuestItem);
-
-        this->id_ = "";
     }
 
@@ -86,5 +84,5 @@
             return;
         }
-        
+
         this->id_ = id;
     }
Index: code/branches/pickup2/src/modules/questsystem/QuestListener.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestListener.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestListener.cc	(revision 6412)
@@ -50,9 +50,9 @@
     {
         RegisterObject(QuestListener);
-        
+
         this->mode_ = QuestListenerMode::All;
         this->quest_ = NULL;
     }
-    
+
     /**
     @brief
@@ -62,5 +62,5 @@
     {
     }
-    
+
     /**
     @brief
@@ -75,8 +75,8 @@
 
         this->quest_->addListener(this); //!< Adds the QuestListener to the Quests list of listeners.
-        
+
         COUT(3) << "QuestListener created for quest: {" << this->quest_->getId() << "} with mode '" << this->getMode() << "'." << std::endl;
     }
-    
+
     /**
     @brief
@@ -98,5 +98,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -110,5 +110,5 @@
     {
         this->quest_ = QuestManager::getInstance().findQuest(id); //!< Find the Quest corresponding to the given questId.
-        
+
         if(this->quest_ == NULL) //!< If there is no such Quest.
         {
@@ -116,8 +116,8 @@
             return false;
         }
-        
+
         return true;
     }
-    
+
     /**
     @brief
@@ -152,8 +152,8 @@
         return false;
         }
-        
+
         return true;
     }
-    
+
     /**
     @brief
@@ -183,5 +183,5 @@
         {
             COUT(1) << "An unforseen, never to happen, Error has occurred. This is impossible!" << std::endl;
-        return "";
+            return "";
         }
     }
@@ -193,5 +193,5 @@
         Returns the questId of the Quest the QuestListener reacts to.
     */
-    const std::string & QuestListener::getQuestId(void)    
+    const std::string & QuestListener::getQuestId(void)
     {
         return this->quest_->getId();
Index: code/branches/pickup2/src/modules/questsystem/QuestManager.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestManager.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestManager.cc	(revision 6412)
@@ -55,6 +55,4 @@
     DeclareToluaInterface(Questsystem);
 
-    //! Pointer to the current (and single) instance of this class.
-    /*static*/ QuestManager* QuestManager::singletonPtr_s = NULL;
     ManageScopedSingleton(QuestManager, ScopeID::Root, false);
 
@@ -78,5 +76,5 @@
         for(std::map<PlayerInfo*, QuestGUI*>::iterator it = this->questGUIs_.begin(); it != this->questGUIs_.end(); it++)
         {
-            (*it).second->destroy();
+            it->second->destroy();
         }
         this->questGUIs_.clear();
Index: code/branches/pickup2/src/modules/questsystem/QuestManager.h
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestManager.h	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestManager.h	(revision 6412)
@@ -72,5 +72,5 @@
             static QuestManager& getInstance() { return Singleton<QuestManager>::getInstance(); } // tolua_export
 
-            //! Retreive the main window for the GUI. 
+            //! Retreive the main window for the GUI.
             CEGUI::Window* getQuestGUI(const std::string & guiName); // tolua_export
 
Index: code/branches/pickup2/src/modules/questsystem/QuestNotification.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/QuestNotification.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/QuestNotification.cc	(revision 6412)
@@ -32,5 +32,5 @@
 namespace orxonox {
 
-    const std::string QuestNotification::SENDER = "questsystem";
+    const std::string QuestNotification::SENDER("questsystem");
 
     QuestNotification::QuestNotification(BaseObject* creator) : Notification(creator)
@@ -38,13 +38,13 @@
         this->initialize();
     }
-    
+
     QuestNotification::QuestNotification(const std::string & message) : Notification(message)
     {
         this->initialize();
     }
-    
+
     QuestNotification::~QuestNotification()
     {
-        
+
     }
 
Index: code/branches/pickup2/src/modules/questsystem/notifications/Notification.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/notifications/Notification.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/notifications/Notification.cc	(revision 6412)
@@ -49,5 +49,5 @@
         this->initialize();
     }
-    
+
     /**
     @brief
@@ -60,5 +60,5 @@
         this->message_ = message;
     }
-    
+
     /**
     @brief
@@ -68,5 +68,5 @@
     {
     }
-    
+
     /**
     @brief
@@ -75,9 +75,9 @@
     void Notification::initialize(void)
     {
-        this->message_ = "";
+        this->message_.clear();
         this->sender_ = NotificationManager::NONE;
         this->sent_ = false;
     }
-    
+
     /**
     @brief
@@ -90,5 +90,5 @@
         return this->send(NotificationManager::NONE);
     }
-    
+
     /**
     @brief
@@ -106,10 +106,10 @@
             return false;
         this->sent_ = true;
-        
+
         COUT(3) << "Notification \"" << this->getMessage() << "\" sent." << std::endl;
-        
+
         return true;
     }
-    
+
     /**
     @brief
Index: code/branches/pickup2/src/modules/questsystem/notifications/NotificationManager.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/notifications/NotificationManager.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/notifications/NotificationManager.cc	(revision 6412)
@@ -44,8 +44,7 @@
 {
 
-    const std::string NotificationManager::ALL = "all";
-    const std::string NotificationManager::NONE = "none";
+    const std::string NotificationManager::ALL("all");
+    const std::string NotificationManager::NONE("none");
 
-    NotificationManager* NotificationManager::singletonPtr_s = NULL;
     ManageScopedSingleton(NotificationManager, ScopeID::Root, false);
 
Index: code/branches/pickup2/src/modules/questsystem/notifications/NotificationQueue.cc
===================================================================
--- code/branches/pickup2/src/modules/questsystem/notifications/NotificationQueue.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/questsystem/notifications/NotificationQueue.cc	(revision 6412)
@@ -46,7 +46,7 @@
     CreateFactory(NotificationQueue);
 
-    const std::string NotificationQueue::DEFAULT_FONT = "VeraMono";
-    const Vector2 NotificationQueue::DEFAULT_POSITION = Vector2(0.0,0.0);
-    const float NotificationQueue::DEFAULT_FONT_SIZE  = 0.025f;
+    const std::string NotificationQueue::DEFAULT_FONT("VeraMono");
+    const Vector2 NotificationQueue::DEFAULT_POSITION(0.0,0.0);
+    const float NotificationQueue::DEFAULT_FONT_SIZE = 0.025f;
 
     /**
@@ -271,5 +271,5 @@
             if(!first)
             {
-                *string += ",";
+                *string += ',';
             }
             else
@@ -300,5 +300,5 @@
         while( index < targets.size() ) //!< Go through the string, character by character until the end is reached.
         {
-            pTemp = new std::string("");
+            pTemp = new std::string();
             while(index < targets.size() && targets[index] != ',' && targets[index] != ' ')
             {
@@ -399,5 +399,5 @@
         std::ostringstream stream;
         stream << reinterpret_cast<unsigned long>(notification);
-        std::string addressString = stream.str() ;
+        const std::string& addressString = stream.str();
         container->name = "NotificationOverlay(" + timeString + ")&" + addressString;
 
